<?php
/*
    Plugin Name: fedora_release_counter
    Description: A plugin that displays the Fedora release banner
    Author: Sijis Aviles <sijis@fedoraproject.org>
    Version: 1.0
    Author URI: http://fedoraproject.org/wiki/User:Sijis
*/

function fedora_release_counter_init() {

	if ( !function_exists('register_sidebar_widget') )
		return;

	function fedora_release_counter($args) {
		extract($args);
		$title = 'Fedora Release Counter';
		echo $before_widget . $before_title . $title . $after_title;
        echo '<script id="fedora-banner" type="text/javascript" src="http://fedoraproject.org/static/js/release-counter-ext.js?lang=en"></script>';
		echo $after_widget;
	}
	register_sidebar_widget('Fedora Release Counter', 'fedora_release_counter');
}

// register plugin
add_action('plugins_loaded', 'fedora_release_counter_init');
?>
